Package de.willuhn.jameica.hbci.gui.parts

# Class SimpleSepaSammelLastBuchungList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.SepaSammelTransferBuchungList
de.willuhn.jameica.hbci.gui.parts.SimpleSepaSammelLastBuchungList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class SimpleSepaSammelLastBuchungList extends SepaSammelTransferBuchungList
Überschrieben, um im Adressbuch noch ein paar Eckdaten des Auftrages mit anzeigen zu können.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.gui.parts.SepaSammelTransferBuchungList

`SepaSammelTransferBuchungList.STMessageConsumer`

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners, settings`

## Constructor Summary

Constructors
Constructor
Description
`SimpleSepaSammelLastBuchungList(List<SepaSammelLastBuchung> list)`
ct.

## Method Summary

### Methods inherited from class de.willuhn.jameica.hbci.gui.parts.SepaSammelTransferBuchungList

`getSummary, paint, setEvaluateUsage`

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, createFeatureEventContext, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleSepaSammelLastBuchungList

public SimpleSepaSammelLastBuchungList(List<SepaSammelLastBuchung> list) throws RemoteException
ct.

Parameters:
  `list` - die Liste der Buchungen.
Throws:
  `RemoteException`